/*
 * Copyright 2011 VZ Netzwerke Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.vz.mongodb.jackson;

import com.mongodb.MongoException;
import org.codehaus.jackson.map.JsonMappingException;

/**
 * Exception used to indicate a problem occurred when converting the MongoDB objects to Jackson
 *
 * @author James Roper
 * @since 1.0
 */
public class MongoJsonMappingException extends MongoException {

    public MongoJsonMappingException(String msg) {
        super(msg);
    }

    public MongoJsonMappingException(JsonMappingException e) {
        super("Error mapping BSON to POJOs", e);
    }

    public MongoJsonMappingException(String msg, JsonMappingException e) {
        super(msg, e);
    }
}
